(***********************************************************************)
(*                                                                     *)
(*                                 GALAX                               *)
(*                              XQuery Engine                          *)
(*                                                                     *)
(*  Copyright 2001-2003, Lucent Technologies.                          *)
(*  Distributed only by permission.                                    *)
(*                                                                     *)
(***********************************************************************)

(* $Id: glx_http.mli,v 1.1 2003/05/13 16:54:01 simeon Exp $ *)

(* Module Glx_http
   Description:
     This module contains some stuff used to hook up Galax to the http
     client provided by Trevor.
*)

type http_method =
  | File of string
  | Http of (string * int * string)
(* LDAP not supported for now - Jerome *)
(*| Ldap of string *)

val glx_decode_url : string -> http_method

val glx_http_get   : string -> int -> string -> string

